<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [exit](./bitburner.ns.exit.md)

## NS.exit() method

Terminates the current script immediately.

**Signature:**

```typescript
exit(): never;
```
**Returns:**

never

## Remarks

RAM cost: 0 GB

